Skip To Content

ArcGIS Pro 2.0 系统要求

ArcGIS Pro 2.0 新的或变更的要求

本节主要针对只想了解 ArcGIS Pro1.4 版本之间系统要求变更的现有 1.4 2.0 用户。该主题的其余部分描述了一套完整的要求。

  • 通过 ArcGIS Pro 管理 2.0 Portal for ArcGIS 指定用户许可或管理浮动版许可需要 ArcGIS License Manager 10.5.1 或更高版本。

  • 已将 Windows Server 2016 标准版和数据中心版添加为受支持的操作系统。

  • 经测试的最新 Windows 10 更新现在为创作者更新,而不是年度更新。

  • 软件仍要求使用 Microsoft Internet Explorer 11,但由于 Internet Explorer 10 已不受支持,因此已移除该版本。

  • 现在,ArcGIS Pro 支持作为托管应用程序运行于以下虚拟桌面基础架构中:VMware vSphere 6.5(使用 VMware Horizon View 7.0 或更高版本)和 Citrix XenDesktop 7.13。

  • 微软宣布将于 2017 年 8 月 31 日停止对 Azure RemoteApp 的支持,因此 ArcGIS Pro 对 RemoteApp 的支持也将于同一日期终止。

支持的操作系统

检查计算机是否能够运行 ArcGIS Pro 2.0

操作系统经测试的最新更新或补丁包

Windows 10 家庭版、专业版和企业版(64 位)

创作者更新

Windows 8.1 专业版和企业版(64 位)

更新:2017 年 4 月

Windows 7 旗舰版、专业版和企业版(64 位)

SP1 和 KB2533623

Windows Server 2016 标准版和数据中心版(64 位)

Windows Server 2012 R2 标准版和数据中心版(64 位)

更新:2017 年 4 月

Windows Server 2012 标准版和数据中心版(64 位)

更新:2017 年 4 月

Windows Server 2008 R2 标准版、企业版和数据中心版(64 位)

SP1 和 KB2533623

注:

Microsoft 不再支持 Windows 8。请升级至 Windows 8.1 或更高版本。

除非另有说明,否则针对这些操作系统的之前和未来更新或补丁包将均受支持。同时,操作系统版本与更新也必须受到操作系统供应商的支持。

硬件要求

CPU 速度

最低:超线程双核*

推荐:四核*

最佳:2x 超线程六核*

平台

具有 SSE2 扩展模块的 x64

内存/RAM

最低:4 GB

推荐:8 GB

最佳:16+ GB

显示属性

24 位颜色深度

另请参阅以下 ArcGIS Pro 系统要求

屏幕分辨率

标准尺寸 (96 dpi) 下使用 1024x768 或更高分辨率

可视化缓存

如果用户所选位置中的磁盘空间允许,ArcGIS Pro 的临时可视化缓存可占用高达 32 GB 的空间。默认情况下,可视化缓存会写入用户配置文件。**

存储

最低:4 GB 的可用空间

推荐:不少于 6 GB 的固态硬盘 (SSD) 可用空间

*通常,超线程 CPU 的每核具有两个线程。超线程双核 CPU 具有四个可用于处理的线程,而超线程六核 CPU 具有 12 个可用于处理的线程。

**缓存会默认写入用户配置文件的 \Local 子文件夹,如果系统管理员启用了漫游配置文件,则该缓存不会随用户配置文件漫游。

视频/图形适配器要求

有关如何获取最佳图形性能的信息,请参阅下列视频/图形适配器要求。

视频/图形适配器

最低:DirectX 11 功能级别 10.1、Shader Model 4.1、OpenGL 3.3 以及 EXT_texture_filter_anisotropic 和 EXT_texture_compression_s3tc 扩展模块。*

推荐:DirectX 11 功能级别 11.0、Shader Model 5.0、OpenGL 4.5;2 GB RAM;以及 EXT_texture_filter_anisotropic、EXT_texture_compression_s3tc、EXT_swap_contro 和 ARB_shader_draw_parameters 扩展模块。*

注:

请务必使用最新的可用驱动程序。

Pixel shader 版本

最低:4.0

建议:5.0

Vertex shader 版本

最低:4.0

建议:5.0

*运行系统并不需要物理 GPU,但物理 GPU 是首选项。

虚拟化

ArcGIS Pro 受多种本地环境和云端环境支持,如以下四张表格所示。

在所有环境中,建议使用与您的虚拟化平台兼容的 GPU,以获得最佳用户体验。

本地虚拟化

本地虚拟桌面基础架构 (VDI)

产品

备注

Citrix XenDesktop 7.6

请使用最新版本的 Citrix 和 NVIDIA 驱动程序。有关最新驱动程序版本的信息,请参阅 Citrix 和 NVIDIA GRID 网站。

Citrix XenDesktop 7.11

Citrix XenDesktop 7.13

Windows Server 2012 R2 Hyper-V

经过 RemoteFX vGPU Windows 设备驱动程序模型 (WDDM) 1.2 认证的 Microsoft VDI

Windows Server 2016 Hyper-V

VMware vSphere 6.0

请仅使用 VMware Horizon View 7.0 和更高版本。

请使用最新版本的 VMware 和 NVIDIA 驱动程序。有关最新驱动程序版本的信息,请参阅 VMware 和 NVIDIA GRID 网站。

VMware vSphere 6.5

本地应用程序流和虚拟化

产品

备注

Citrix XenApp 7.6

托管的操作系统:

  • Windows Server 2008 R2(SP1 或更高版本)

  • Windows Server 2012 R2(2016 年 9 月更新版本或更高版本)

Citrix XenApp 7.11

Windows Server 2016

注:

  • 强烈建议不要在 Citrix XenApp 上使用 ArcGIS Pro,因为 Citrix XenApp 无法支持每台服务器多于两个或三个 ArcGIS Pro 会话。这已通过 Windows Server 2012 R2 和 2016 的测试得到了验证。

  • ArcGIS Pro 在以下环境中可以提供正常功能和性能:

    • Microsoft App-V
    • VMware App Volumes

云端虚拟化

云端虚拟桌面基础架构 (VDI)

服务

备注

Amazon WorkSpaces Graphics Bundle

Azure NV-Series VMs(含 Teradici Windows Thin Client)

建议使用 NV6,因为它包含一个 GPU,并且 ArcGIS Pro 目前不需要多个 GPU。

云端应用程序流和虚拟化

服务

备注

AWS AppStream

Azure Citrix ZenApp

软件要求

在安装 ArcGIS Pro 2.0 之前,必须先安装 Microsoft .NET Framework 4.6.1 或更高版本。

安装 ArcGIS Pro 之前必须先安装 Microsoft Internet Explorer 11。

ArcGIS Pro 2.0 的三种授权类型如下所示:

  • 指定用户许可 - ArcGIS Pro 通过 ArcGIS OnlinePortal for ArcGIS 上的组织帐户获得许可。如果通过 ArcGIS Online(默认选项)授予许可,由于 ArcGIS Online 是由 Esri 提供的基于云的服务,所以不需要许可软件。如果通过 Portal for ArcGIS 授予许可,则建议安装 Portal for ArcGIS 10.5 或更高版本,同时必须安装 ArcGIS License Manager 10.5.1 或更高版本。
  • 浮动版许可 - 管理 ArcGIS Pro 2.0 许可需要 ArcGIS License Manager 10.5.1 或更高版本。
  • 单机版许可 - 许可无需其他软件。

SDK 要求

有关使用 ArcGIS Pro SDK for .NET 创建加载项时系统需满足的最低要求信息,请参阅 SDK GitHub 资料档案库

不同版本 ArcGIS Pro 的系统要求

已停用 ArcGIS Pro 版本的系统要求将最终从 Web 帮助中删除。产品生命周期图表列有所有停用日期。

相关主题